#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-STMonadTrans/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: STMonadTrans
version: 0.4.3
id: STMonadTrans-0.4.3-BLPQeQVytvDAmw0w5bw9b9
key: STMonadTrans-0.4.3-BLPQeQVytvDAmw0w5bw9b9
license: BSD-3-Clause
maintainer: josef.svenningsson@gmail.com
author: Josef Svenningsson
synopsis: A monad transformer version of the ST monad
description:
    A monad transformer version of the ST monad
    Warning! This monad transformer should not be used with monads that
    can contain multiple answers, like the list monad. The reason is that
    the state token will be duplicated across the different answers and
    this causes Bad Things to happen (such as loss of referential
    transparency). Safe monads include the monads State, Reader, Writer,
    Maybe and combinations of their corresponding monad transformers.
category: Monads
abi: 2529638b4c260ccb9dbe43e6a2083aeb
exposed: True
exposed-modules:
    Control.Monad.ST.Trans Control.Monad.ST.Trans.Internal
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/STMonadTrans-0.4.3
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/STMonadTrans-0.4.3
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/STMonadTrans-0.4.3
hs-libraries: HSSTMonadTrans-0.4.3-BLPQeQVytvDAmw0w5bw9b9
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 mtl-2.2.2 array-0.5.2.0
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             array-0.5.2.0=001d57bac323829c35f5e9edd158c1ef
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/STMonadTrans-0.4.3/html/STMonadTrans.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/STMonadTrans-0.4.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

